Worker::stack
Worker::unstack
Worker
PHP Manual

# Worker::start

Execution

### Description

final public boolean Worker::start ([ long `$options` ] )

Will start a new Thread, executing Worker::run and then waiting for Stackables

### Parameters

`options`

  An optional mask of inheritance constants, by default PTHREADS_INHERIT_ALL

### Return Values

A boolean indication of success

### Examples

Example #1 Starting Workers

`<?php
class My extends Worker {
public function run() {
/** ... **/
}
}
$my = new My();
var_dump($my->start());
?>`

The above example will output:

    bool(true)